Pad = Object:extend()

function Pad:new(x, y, width, height, treeHold)
    self.x = x
    self.y = y
    self.width = width
    self.height = height
    world:add(self, self.x, self.y, self.width, self.height)
    self.isPad = true
    self.treeHold = treeHold
end

function Pad:update(dt)
    if self.treeHold <= 0 then
        self:boom()
    end
end

function Pad:boom()
    for padnum, padnow in ipairs(listOfPad) do
	      if padnow == self then
            world:remove(self)
            table.remove(listOfPad, padnum) 
            break 
        end
    end
end

function Pad:draw()
    love.graphics.setColor(1, 1, 1, 25)
    love.graphics.rectangle("fill", self.x, self.y, self.width, self.height)
end